Atom feed of this document
 

 List Networks

Verb URI Description
GET /tenants/tenant-id/networks Lists summary of networks configured in Quantum for a given tenant, identified by tenant-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403)

This operation returns the list of all networks currently defined in Quantum for the tenant specified in the request URI. The list provides the unique identifier of each network configured for the tenant specified in the resource URI.

[Note]Note

TenantId is a unique tenant identifier. The Quantum service does not directly manages tenants. Tenant management should be performed by the identity service

This operation does not require a request body.

 

Example 4.1. Networks List Request/Response (XML)

Request:

GET /tenants/XYZ/networks.xml                

Response:

<networks>
    <network id="8bec1293-16bd-4568-ba75-1f58bec0b4c3"/>
    <network id="2a39409c-7146-4501-8429-3579e03e9b56"/>
</networks>

 

Example 4.2. Networks List Request/Response (JSON)

Request:

GET /tenants/XYZ/networks.json	                

Response:

{
    "networks":
        [
            {
                "id": "8bec1293-16bd-4568-ba75-1f58bec0b4c3"
            },
            {   
                "id": "2a39409c-7146-4501-8429-3579e03e9b56"
            }
        ]
}